Bug 6523 - update dmraid to to activate setup on fake-RAID
: update dmraid to to activate setup on fake-RAID
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 21:04 MSK by Vladimir Potapov
Modified: 2016-01-06 09:49 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2016-01-01 21:04:50 MSK
Description of problem:

update dmraid to to activate setup on fake-RAID (like CentOS, Fedora)
Comment 1 Andrey Bondrov 2016-01-01 21:33:46 MSK
Advisory: "Fix dmraid-activation.service to execute before local-fs-pre.target instead of local-fs.target to activate dmraid before any mount points. Don't pass kpartx a delimiter when activating sets."

https://abf.rosalinux.ru/build_lists/2614354
https://abf.rosalinux.ru/build_lists/2614355
Comment 2 Vladimir Potapov 2016-01-02 10:57:04 MSK
after enable the service (as fedora)

systemctl status dmraid-activation.service 
● dmraid-activation.service - Activation of DM RAID sets
   Loaded: loaded (/lib/systemd/system/dmraid-activation.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Сб 2016-01-02 14:54:32 IRKT; 47s ago
  Process: 3945 ExecStart=/lib/systemd/fedora-dmraid-activation (code=exited, status=203/EXEC)
 Main PID: 3945 (code=exited, status=203/EXEC)

янв 02 14:54:32 DNS-R6-X64 systemd[1]: Starting Activation of DM RAID sets...
янв 02 14:54:32 DNS-R6-X64 systemd[3945]: Failed at step EXEC spawning /lib/systemd/fedora-dmraid-activation: No such file or directory
янв 02 14:54:32 DNS-R6-X64 systemd[1]: dmraid-activation.service: main process exited, code=exited, status=203/EXEC
янв 02 14:54:32 DNS-R6-X64 systemd[1]: Failed to start Activation of DM RAID sets.
янв 02 14:54:32 DNS-R6-X64 systemd[1]: Unit dmraid-activation.service entered failed state.
янв 02 14:54:32 DNS-R6-X64 systemd[1]: dmraid-activation.service failed.
Comment 3 Vladimir Potapov 2016-01-02 10:59:46 MSK
Hm, file fedora-dmraid-activation found in /usr/lib/systemd, not in /lib/systemd!
Comment 4 Vladimir Potapov 2016-01-02 11:04:43 MSK
after move the file to /lib/systemd all OK

systemctl status dmraid-activation.service 
● dmraid-activation.service - Activation of DM RAID sets
   Loaded: loaded (/lib/systemd/system/dmraid-activation.service; enabled; vendor preset: disabled)
   Active: inactive (dead) since Сб 2016-01-02 15:01:00 IRKT; 28s ago
  Process: 3974 ExecStart=/lib/systemd/fedora-dmraid-activation (code=exited, status=0/SUCCESS)
 Main PID: 3974 (code=exited, status=0/SUCCESS)

янв 02 15:01:00 DNS-R6-X64 systemd[1]: Starting Activation of DM RAID sets...
янв 02 15:01:00 DNS-R6-X64 systemd[1]: Started Activation of DM RAID sets.

Please
1) Enable dmraid-activation.service by default
2) Move the file fedora-dmraid-activation from /usr/lib/systemd to /lib/systemd
Comment 5 Andrey Bondrov 2016-01-02 18:52:40 MSK
> 1) Enable dmraid-activation.service by default

I'll do it in systemd update bug: http://bugs.rosalinux.ru/show_bug.cgi?id=6517

> 2) Move the file fedora-dmraid-activation from /usr/lib/systemd to /lib/systemd

Advisory: "Fix dmraid-activation.service to execute before local-fs-pre.target instead of local-fs.target to activate dmraid before any mount points. Don't pass kpartx a delimiter when activating sets. Install fedora-dmraid-activation to a proper location."

https://abf.rosalinux.ru/build_lists/2614415
https://abf.rosalinux.ru/build_lists/2614416
Comment 6 Vladimir Potapov 2016-01-02 20:17:10 MSK
The update is sent to expanded testing
***************************************
Comment 7 Vladimir Potapov 2016-01-05 00:01:57 MSK
dmraid-1.0.0-0.rc16.20
https://abf.rosalinux.ru/build_lists/2614415
https://abf.rosalinux.ru/build_lists/2614416
********************************* Advisory ****************************
Fix dmraid-activation.service to execute before local-fs-pre.target instead of local-fs.target to activate dmraid before any mount points. Don't pass kpartx a delimiter when activating sets.
***********************************************************************
QA Verified